Bug 1223464 - Review Request: nuget - Package manager for NuGet repositories
Summary: Review Request: nuget - Package manager for NuGet repositories
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Timotheus Pokorra
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1221559 1225201
TreeView+ depends on / blocked
 
Reported: 2015-05-20 14:58 UTC by Claudio Rodrigo Pereyra DIaz
Modified: 2015-07-15 20:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-15 20:05:14 UTC
Type: Bug
pokorra.mailinglists: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
initial output of the automatic review (8.20 KB, text/plain)
2015-06-04 16:07 UTC, Timotheus Pokorra
no flags Details

Description Claudio Rodrigo Pereyra DIaz 2015-05-20 14:58:52 UTC
Spec URL: https://elsupergomez.fedorapeople.org/SPECS/nuget.spec
SRPM URL: https://elsupergomez.fedorapeople.org/SRPMS/nuget-2.8.3-1.src.rpm
Description: Package manager for NuGet repositories
Fedora Account System Username: elsupergomez

Comment 1 Timotheus Pokorra 2015-06-04 08:08:33 UTC
rpmlint nuget-2.8.3-1.src.rpm 
shows:

nuget.src: W: name-repeated-in-summary C NuGet
nuget.src:47: E: hardcoded-library-path in %{_prefix}/lib/nuget
nuget.src:53: E: hardcoded-library-path in %{_prefix}/lib/nuget/
nuget.src:54: E: hardcoded-library-path in %{_prefix}/lib/nuget/
nuget.src:55: E: hardcoded-library-path in %{_prefix}/lib/nuget/
nuget.src:58: E: hardcoded-library-path in %_prefix/lib/nuget
1 packages and 0 specfiles checked; 5 errors, 1 warnings.

Probably best to replace %{_prefix}/lib with %{_libdir}

Peter told me we should later do a proper solution for Epel, with a package for the mono_arches macros. So I recommend to drop the first 3 lines.

Comment 2 Timotheus Pokorra 2015-06-04 16:07:53 UTC
Created attachment 1034789 [details]
initial output of the automatic review

what does "Issues: - Dist tag is present." mean?

Comment 3 Timotheus Pokorra 2015-06-22 06:42:28 UTC
Please can you replace that line:
Release:        1
with
Release:        1%{?dist}
according to https://fedoraproject.org/wiki/Packaging:DistTag

You can also drop the global mono_arches definition for Epel, we should add this macro properly in the Epel packages itself, as Peter Robinson said a while ago.

Is the license really MIT? Xamarin spec says MIT, but https://github.com/NuGet/Home/blob/master/LICENSE.txt says Apache 2.0?
License:        ASL 2.0

You could also probably include the LICENSE.txt with the %license tag.

Please can you also check the rpmlint errors and warnings?

Comment 4 Claudio Rodrigo Pereyra DIaz 2015-07-06 13:17:13 UTC
Spec URL: https://elsupergomez.fedorapeople.org/SPECS/nuget.spec
SRPM URL: https://elsupergomez.fedorapeople.org/SRPMS/nuget-2.8.5-2.src.rpm

Added dist tag
Added license tag
Change license to ASL 2.0

rpmlint out

nuget.x86_64: E: no-binary
nuget.x86_64: W: only-non-binary-in-usr-lib
nuget.x86_64: W: no-documentation
nuget.x86_64: W: no-manual-page-for-binary nuget
nuget-devel.x86_64: W: only-non-binary-in-usr-lib
nuget-devel.x86_64: W: no-documentation
3 packages and 1 specfiles checked; 1 errors, 5 warnings.


Note: no-binary error is not an error because mono packages must be arch specific.

Comment 6 Timotheus Pokorra 2015-07-13 09:56:57 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated". 798 files have unknown
     license. Detailed output of licensecheck in
     /home/reviewer/1223464-nuget/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nuget-2.8.5-2.fc23.x86_64.rpm
          nuget-devel-2.8.5-2.fc23.x86_64.rpm
          nuget-2.8.5-2.fc23.src.rpm
nuget.x86_64: E: no-binary
nuget.x86_64: W: only-non-binary-in-usr-lib
nuget.x86_64: W: no-documentation
nuget.x86_64: W: no-manual-page-for-binary nuget
nuget-devel.x86_64: W: only-non-binary-in-usr-lib
nuget-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 1 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
nuget.x86_64: E: no-binary
nuget.x86_64: W: only-non-binary-in-usr-lib
nuget.x86_64: W: no-documentation
nuget.x86_64: W: no-manual-page-for-binary nuget
nuget-devel.x86_64: W: only-non-binary-in-usr-lib
nuget-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 1 errors, 5 warnings.



Requires
--------
nuget (rpmlib, GLIBC filtered):
    /bin/sh
    mono(Microsoft.Build)
    mono(Microsoft.Build.Engine)
    mono(Microsoft.Build.Framework)
    mono(Microsoft.CSharp)
    mono(Microsoft.Web.XmlTransform)
    mono(NuGet.Core)
    mono(System)
    mono(System.ComponentModel.Composition)
    mono(System.ComponentModel.DataAnnotations)
    mono(System.Core)
    mono(System.Data.Services.Client)
    mono(System.Runtime.Serialization)
    mono(System.Security)
    mono(System.ServiceModel)
    mono(System.Xml)
    mono(System.Xml.Linq)
    mono(WindowsBase)
    mono(mscorlib)

nuget-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    nuget(x86-64)



Provides
--------
nuget:
    mono(Microsoft.Web.XmlTransform)
    mono(NuGet)
    mono(NuGet.Core)
    nuget
    nuget(x86-64)

nuget-devel:
    nuget-devel
    nuget-devel(x86-64)
    pkgconfig(nuget-core)



Source checksums
----------------
http://download.mono-project.com/sources/nuget/nuget_2.8.5+md59+dhx1.orig.tar.bz2 :
  CHECKSUM(SHA256) this package     : edcc3b214ef66b71b7293ad94490a81e8a9347e3d02d6e9ae7057bae23357880
  CHECKSUM(SHA256) upstream package : edcc3b214ef66b71b7293ad94490a81e8a9347e3d02d6e9ae7057bae23357880


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 1223464
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 Claudio Rodrigo Pereyra DIaz 2015-07-13 11:50:36 UTC
New Package SCM Request
=======================
Package Name: nuget
Short Description: Package manager for .Net/Mono development platform
Upstream URL: http://nuget.org/
Owners: elsupergomez mono-sig
Branches: 
InitialCC:

Comment 8 Gwyn Ciesla 2015-07-15 17:45:46 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.